﻿using System;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace XamTabControl_sample.Model
{

    public class Data : INotifyPropertyChanged
    {
        private int high;
        private double value;
        private string label;
        
        

        public string Label
        {
            get { return label; }
            set
            {
                label = value;
                PropChanged("Label");
            }
        }

        public int High
        {
            get { return high; }
            set
            {
                high = value;
                PropChanged("High");
            }
        }

        public double Value
        {
            get { return value; }
            set
            {
                this.value = value;
                PropChanged("Value");
            }
        }

        private int data1;
        public int Data1
        {
            get { return data1; }
            set
            {
                data1 = value;
                PropChanged("Data1");
            }
        }
        
        private string data2;
        public string Data2
        {
            get { return data2; }
            set
            {
                data2 = value;
                PropChanged("Data2");
            }
        }

        private int data3;
        public int Data3
        {
            get { return data3; }
            set
            {
                data3 = value;
                PropChanged("Data3");
            }
        }

        private int data4;
        public int Data4
        {
            get { return data4; }
            set
            {
                data4 = value;
                PropChanged("Data4");
            }
        }

        private int data5;
        public int Data5
        {
            get { return data5; }
            set
            {
                data5 = value;
                PropChanged("Data5");
            }
        }

        private int data6;
        public int Data6
        {
            get { return data6; }
            set
            {
                data6 = value;
                PropChanged("Data6");
            }
        }

        private int data7;
        public int Data7
        {
            get { return data7; }
            set
            {
                data7 = value;
                PropChanged("Data7");
            }
        }

        private int data8;
        public int Data8
        {
            get { return data8; }
            set
            {
                data8 = value;
                PropChanged("Data8");
            }
        }


        public static ObservableCollection<Data> GetData(int points, int rangeStart, int rangeEnd)
        {
            ObservableCollection<Data> data = new ObservableCollection<Data>();
            Random r = new Random();
            for (int i = 0; i < points; i++)
            {
                data.Add(new Data
                {
                    Label = "Item " + i,
                    High = r.Next(rangeStart, rangeEnd),
                    Value = r.Next(rangeStart, rangeEnd),
                     Data1 = r.Next(rangeStart, rangeEnd),
                      Data2 = "DataItem " + i,
                    Data3 = r.Next(rangeStart, rangeEnd),
                      Data4 = r.Next(rangeStart, rangeEnd),
                      Data5 = r.Next(rangeStart, rangeEnd),
                      Data6 = r.Next(rangeStart, rangeEnd),
                      Data7 = r.Next(rangeStart, rangeEnd),
                      Data8 = r.Next(rangeStart, rangeEnd)
                });
            }

            return data;
        }

        public event PropertyChangedEventHandler PropertyChanged;

        public void PropChanged(string name)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(name));
        }
    }

}
