﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RefreshIssue.Model
{
    public class EntryModel : INotifyPropertyChanged
    {

        private bool _isVisible;
        private string _fName;
        private string _category;

        public string Category
        {
            get { return _category; }
            set
            {
                _category = value;
                PropChanged("Category");
            }
        }

        public string FName
        {
            get { return _fName; }
            set
            {
                _fName = value;
                PropChanged("FName");
            }
        }

        public bool IsVisible
        {
            get { return _isVisible; }
            set
            {
                _isVisible = value;
                PropChanged("IsVisible");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        public void PropChanged(string name)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(name));
        }
    }
}
